---
title: Window.screen
slug: Web/API/Window/screen
tags:
  - API
  - CSSOM View
  - HTML DOM
  - Property
  - Window
---
<p>{{APIRef("CSSOM")}}</p>

<p>The {{DOMxRef("Window")}} property <strong><code>screen</code></strong> returns a reference to the screen object associated with the window. The <code>screen</code> object, implementing the {{DOMxRef("Screen")}} interface, is a special object for inspecting properties of the screen on which the current window is being rendered.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <var>screenObj</var> = <var>window</var>.screen;</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js; notranslate">if (screen.pixelDepth &lt; 8) {
  // use low-color version of page
} else {
  // use regular, colorful page
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-window-screen', 'window.screen')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.screen")}}</p>
